# gatsby-prismic-lazy-load

Lazyloads images processed by [gatsby-transformer-prismic](https://www.gatsbyjs.org/packages/@sekmet/gatsby-transformer-prismic/) with using [lazysizes](https://www.npmjs.com/package/lazysizes)

The plugin makes lazyload possible by:

* Move `src` and `srcset` to `data-src` and `data-srcset` respectively.
* Add class `lazyload` to `img` tag.

[lazysizes](https://www.npmjs.com/package/lazysizes) has to be installed to make this plugin work.

## Install

`npm install --save gatsby-prismic-lazy-load`

`npm install --save lazysizes`

## How to use

```js
// In your gatsby-config.js
plugins: [
  {
    resolve: `gatsby-transformer-prismic`,
    options: {
      plugins: [
        `gatsby-prismic-lazy-load`,
      ]
    }
  }
]
```

```js
// In your gatsby-browser.js
import 'lazysizes'
```

## Contribution
This is a minimum plugin. Please make an issue when you need more functionalities or code doesn't work!